package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectInvestigate;
import com.ruoyi.invest.domain.vo.ProjectInvestigateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目池Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface InvestigateMapper {
    /*所有尽职背调流程*/
    List<ProjectInvestigateVo> selectAllInvestigateList(@Param("projectInvestigate") TProjectInvestigate tProjectInvestigate);

    /*待办任务*/
    List<ProjectInvestigateVo> getMyTaskList(@Param("userId") String userId, @Param("projectInvestigate") TProjectInvestigate tProjectInvestigate);
    /*已办任务*/
    List<ProjectInvestigateVo> getMyDoneTaskList(@Param("userId") String userId, @Param("projectInvestigate")TProjectInvestigate tProjectInvestigate);
    /*我的单据*/
    List<ProjectInvestigateVo> getMyList(@Param("userId") String userId, @Param("projectInvestigate")TProjectInvestigate tProjectInvestigate);
    /*详情*/
    public TProjectInvestigate selectTProjectInvestigateByProcInstId(String ProcInstId);
    public ProjectInvestigateVo selectProjectInvestigateByProcInstId(String ProcInstId);


}
